function [ A, p ] = grdy_hc_opt( alpha, np, r, f )
%greedy_hc_opt: Greedy performance with optimal hot/cold provisioning
%   Returns write amplification 'A' and fraction of free space to
%   hot pool 'p'

    [p,A] = fminsearch(@(p) greedy_hcp(p, alpha, np, r, f), r);
end

% Copyright 2012 Peter Desnoyers
% This file is free software: you can redistribute it and/or modify it
% under the terms of the GNU General Public License as published by
% the Free Software Foundation, either version 2 of the License, or
% (at your option) any later version.
%
% It is distributed in the hope that it will be useful, but
% WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
% General Public License for more details. 
% You should have received a copy of the GNU General Public License
% along with this file. If not, see http://www.gnu.org/licenses/. 
